Chromium Code Reviews
Help | Chromium Project | Sign in
(46)

Issue 1151963003: Revert "Stop checking for duplicate basenames" (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 10 months ago by scottmg
Modified:
1 year, 10 months ago
CC:
gyp-developer_googlegroups.com
Target Ref:
refs/heads/master
Project:
gyp
Visibility:
Public.

Description

Revert "Stop checking for duplicate basenames" This reverts commit 540e4b1e665aa4a69c89906abf267904b571f87b. Slightly updated to comment/target at libtool, rather than Mac make/MSVC08. See https://codereview.chromium.org/670063006/#msg11 and https://code.google.com/p/gyp/issues/detail?id=384. R=thakis@chromium.org BUG=gyp:384 Committed: https://chromium.googlesource.com/external/gyp/+/c0cf1f22eb428073cf64e17c853f3c48303cb328

Patch Set 1 #

Total comments: 8

Patch Set 2 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+77 lines, -15 lines) Patch
M pylib/gyp/__init__.py View 4 chunks +14 lines, -2 lines 0 comments Download
M pylib/gyp/input.py View 1 3 chunks +32 lines, -1 line 0 comments Download
A + test/errors/duplicate_basenames.gyp View 1 chunk +3 lines, -6 lines 0 comments Download
M test/errors/gyptest-errors.py View 1 chunk +13 lines, -0 lines 0 comments Download
M test/same-source-file-name/gyptest-shared.py View 2 chunks +7 lines, -3 lines 0 comments Download
M test/same-source-file-name/gyptest-static.py View 2 chunks +8 lines, -3 lines 0 comments Download
Trybot results:
Commit queue not available (can’t edit this change).

Messages

Total messages: 10 (0 generated)
scottmg
1 year, 10 months ago (2015-05-21 19:44:38 UTC) #1
scottmg
(this breaks on memory/memory_pressure_monitor.cc win/memory_pressure_monitor.cc at the moment in Chromium)
1 year, 10 months ago (2015-05-21 19:53:40 UTC) #2
Nico (afk until Tue Apr 4)
lgtm, thanks https://codereview.chromium.org/1151963003/diff/1/pylib/gyp/input.py File pylib/gyp/input.py (right): https://codereview.chromium.org/1151963003/diff/1/pylib/gyp/input.py#newcode2496 pylib/gyp/input.py:2496: if target_dict.get('type', None) not in ('static_library', 'shared_library'): ...
1 year, 10 months ago (2015-05-21 23:50:07 UTC) #3
yukawa
https://codereview.chromium.org/1151963003/diff/1/pylib/gyp/input.py File pylib/gyp/input.py (right): https://codereview.chromium.org/1151963003/diff/1/pylib/gyp/input.py#newcode2517 pylib/gyp/input.py:2517: 'for Mac, cannot handle that. Use --no-duplicate-basename-check to' A ...
1 year, 10 months ago (2015-05-21 23:58:57 UTC) #4
scottmg
https://codereview.chromium.org/1151963003/diff/1/pylib/gyp/input.py File pylib/gyp/input.py (right): https://codereview.chromium.org/1151963003/diff/1/pylib/gyp/input.py#newcode2496 pylib/gyp/input.py:2496: if target_dict.get('type', None) not in ('static_library', 'shared_library'): On 2015/05/21 ...
1 year, 10 months ago (2015-05-21 23:59:19 UTC) #5
scottmg
https://codereview.chromium.org/1151963003/diff/1/pylib/gyp/input.py File pylib/gyp/input.py (right): https://codereview.chromium.org/1151963003/diff/1/pylib/gyp/input.py#newcode2517 pylib/gyp/input.py:2517: 'for Mac, cannot handle that. Use --no-duplicate-basename-check to' On ...
1 year, 10 months ago (2015-05-22 00:00:47 UTC) #6
scottmg
Committed patchset #2 (id:20001) manually as c0cf1f22eb428073cf64e17c853f3c48303cb328.
1 year, 10 months ago (2015-05-22 00:11:19 UTC) #7
Nico (afk until Tue Apr 4)
On 2015/05/22 00:11:19, scottmg wrote: > Committed patchset #2 (id:20001) manually as > c0cf1f22eb428073cf64e17c853f3c48303cb328. The ...
1 year, 10 months ago (2015-05-22 00:16:00 UTC) #8
scottmg
On 2015/05/22 00:16:00, Nico wrote: > On 2015/05/22 00:11:19, scottmg wrote: > > Committed patchset ...
1 year, 10 months ago (2015-05-22 00:18:19 UTC) #9
scottmg
1 year, 10 months ago (2015-05-22 00:26:14 UTC) #10
Message was sent while issue was closed.
On 2015/05/22 00:18:19, scottmg wrote:
> On 2015/05/22 00:16:00, Nico wrote:
> > On 2015/05/22 00:11:19, scottmg wrote:
> > > Committed patchset #2 (id:20001) manually as
> > > c0cf1f22eb428073cf64e17c853f3c48303cb328.
> > 
> > The -shared test might need updating? (Phone)
> 
> Doh, sorry thanks. Will fix.

https://codereview.chromium.org/1153703002
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46